//---------------------------------------------------------------------
// File name         : uart_apb_mst_top.v
// Module name       : uart_apb_mst_top
// Module Description: conver the Uart to the  ARM APB interfaces
// Created by        : caojie
// ---------------------------------------------------------------------
// Release history
// VERSION |   Date       | AUTHOR      |    DESCRIPTION
// ---------------------------------------------------------------------
//   1.0   |  8-Jul-2020  | Caojie      |      initial
// ---------------------------------------------------------------------



module uart_apb_mst_top #
(	
	parameter BAUDRATE         = 115200    ,  //buad rate
	parameter FREQ             = 50_000_000,  //system clock, MHz
    parameter FIFO_DEPTH_WIDTH = 8            //Depth=2^FIFO_DEPTH_WIDTH
)
(
	input         rst_n        ,
	input         clk_sample   ,
	input         rx           ,
	output        tx           ,
	output [31:0] paddr        ,//APB address
    output        penable      ,
    input  [31:0] prdata       ,
    input         pready       ,
    output        psel         ,
    output [31:0] pwdata       ,
    output        pwrite       
);

//========================================================
uart_apb_mst_wrapper #
(	
	.BAUDRATE        (BAUDRATE        ),//buad rate
	.FREQ            (FREQ            ),//system clock, MHz
    .FIFO_DEPTH_WIDTH(FIFO_DEPTH_WIDTH)//Depth=2^FIFO_DEPTH_WIDTH
)
uart_apb_mst_wrapper_inst
(
	.rst_n             (rst_n     ),
	.clk_sample        (clk_sample),
	.rx                (rx        ),
	.tx                (tx        ),
    .paddr             (paddr     ),//apb port 
    .penable           (penable   ),
    .prdata            (prdata    ),
    .pready            (pready    ),
    .psel              (psel      ),
    .pwdata            (pwdata    ),
    .pwrite            (pwrite    )
); 

endmodule                                                                                               