
quit -sim

vlib work  

#mapping work library to current directory
#vmap [-help] [-c] [-del] [<logical_name>] [<path>]
vmap work  

#compile all .v files to work library
#-work <path>       Specify library WORK
#-vlog01compat      Ensure compatibility with Std 1364-2001
#-incr              Enable incremental compilation
#"rtl/*.v"          rtl directory all .v files, support relative path, need to add ""
#vlog

#vlog -novopt \
#+incdir+../../project/src/edid_prom \
#../../project/src/edid_prom/*.v
vlog -novopt ../../project/src/edid_prom/edid_prom.vo 

#testbench
vlog -novopt ../../tb/tb.v
vlog -novopt ../../tb/cmd_gen.v
vlog -novopt ../../tb/prim_sim.v
vlog -novopt ../../tb/gw_i2c_master/gw_i2c_master.v
vlog -novopt ../../tb/gw_i2c_master/master_sram_iic.v
vlog -novopt ../../tb/gw_i2c_master/i2c_master/i2c_master.vo


#complie all .vhd files
#-work <path>       Specify library WORK
#-93                Enable support for VHDL 1076-1993
#-2002              Enable support for VHDL 1076-2002
#vcom

#simulate testbench top file
#-L <libname>                     Search library for design units instantiated from Verilog and for VHDL default component binding
#+nowarn<CODE | Number>           Disable specified warning message  (Example: +nowarnTFMPC)                      
#-t [1|10|100]fs|ps|ns|us|ms|sec  Time resolution limit VHDL default: resolution setting from .ini file) 
#                                 (Verilog default: minimum time_precision in the design)
#-novopt                          Force incremental mode (pre-6.0 behavior)

vsim +nowarnTFMPC -L work -novopt -l tb.log work.tb 

#generate wave log format(WLF)......
log -r /*

#open wave window
view wave

#add simulation singals
onerror {resume}
quietly WaveActivateNextPane {} 0  
  
add wave -noupdate -divider {driver_inst output}
add wave -noupdate                    /tb/clk
add wave -noupdate                    /tb/rst_n

add wave -noupdate -divider {mema_inst output}
add wave -noupdate -radix hexadecimal /tb/paddr
add wave -noupdate                    /tb/pwrite
add wave -noupdate                    /tb/psel
add wave -noupdate                    /tb/penable
add wave -noupdate -radix hexadecimal /tb/pwdata
add wave -noupdate -radix hexadecimal /tb/prdata
add wave -noupdate                    /tb/cmd_finish

add wave -noupdate -divider {I2C_inst output}
add wave -noupdate                    /tb/scl         
add wave -noupdate -radix hexadecimal /tb/sda         

add wave -noupdate -divider {gw_i2c_master_inst signals}
add wave -position insertpoint sim:/tb/gw_i2c_master_inst/*

add wave -noupdate -radix unsigned    /tb/gw_i2c_master_inst/u_master_sram_iic/mem_cnt

add wave -noupdate -divider {end signal}

TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {912366093 ps} 0}
configure wave -namecolwidth 150
configure wave -valuecolwidth 100
update
WaveRestoreZoom {891247063 ps} {925431255 ps}

#set run time
run  -all




