`timescale 1ns/1ps
   
module gw_i2c_master 
(
    clk,
    rst_n,
	start,
    scl,
    sda
);
    
 input	 clk;
 input	 rst_n;
 input	 start;	
 inout	 scl;
 inout	 sda;	

/////////////////////////////////////////////////////////////////////
 wire           TX_EN;
 wire [2:0]     WADDR;
 wire [8-1:0]   WDATA;
 wire           RX_EN;
 wire [2:0]     RADDR;
 wire [8-1:0]   RDATA;
 
///////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
  master_sram_iic 	    u_master_sram_iic
  (
      .I_CLK              ( clk                 ),
      .I_RESETN           ( rst_n                  ),
	  .start              ( start                 ),//rising edge
      .O_TX_EN            ( TX_EN                 ),
      .O_WADDR            ( WADDR                 ),
      .O_WDATA            ( WDATA                 ),
      .O_RX_EN            ( RX_EN                 ),
      .O_RADDR            ( RADDR                 ),
      .I_RDATA            ( RDATA                 ),
      .cstate_flag        (                       ),
      .error_flag         (                       )
  );

  I2C_MASTER_Top        u_i2c_master_top
  (
      .I_CLK              ( clk                 ),
      .I_RESETN           ( rst_n                  ),
      .I_TX_EN            ( TX_EN                 ),
      .I_WADDR            ( WADDR                 ),
      .I_WDATA            ( WDATA                 ),
      .I_RX_EN            ( RX_EN                 ),
      .I_RADDR            ( RADDR                 ),
      .O_RDATA            ( RDATA                 ),
      .O_IIC_INT          (                         ),
      .SCL                ( scl                     ),
      .SDA                ( sda                     )
  );               

endmodule
  

